Need help with alipay_kit?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

rxreader
135 Stars 28 Forks Apache License 2.0 115 Commits 6 Opened issues

Description

flutter版支付宝登录/支付

Services available

!
?

Need anything else?

Contributors list

alipay_kit

Build Status Codecov GitHub Tag Pub Package License

flutter版支付宝SDK

fake 系列 libraries

dart/flutter 私服

docs

android

buildscript {
    dependencies {
        // Android 11兼容,需升级Gradle到3.5.4/3.6.4/4.x.y
        classpath 'com.android.tools.build:gradle:3.5.4'
    }
}
# 不需要做任何额外接入工作
# 混淆已打入 Library,随 Library 引用,自动添加到 apk 打包混淆

ios

在Xcode中,选择你的工程设置项,选中“TARGETS”一栏,在“info”标签栏的“URL type“添加“URL scheme”为你所注册的应用程序id

URL Types alipay: identifier=alipay schemes=${your app scheme name} # schemes 不能为纯数字,推荐:alipay${appId}

iOS 9系统策略更新,限制了http协议的访问,此外应用需要在“Info.plist”中将要使用的URL Schemes列为白名单,才可正常检查其他应用是否安装。

LSApplicationQueriesSchemes alipay NSAppTransportSecurity NSAllowsArbitraryLoads

flutter

  • snapshot
dependencies:
  alipay_kit:
    git:
      url: https://github.com/v7lin/alipay_kit.git
  • release
dependencies:
  alipay_kit: ^${latestTag}
dependencies:
  # 请不要进行配置 iOS 相关配置,否则 Apple Store 审核时会拒绝
  alipay_kit: ^${latestTag}-Android-Only
  • example

示例

Getting Started

This project is a starting point for a Flutter plug-in package, a specialized package that includes platform-specific implementation code for Android and/or iOS.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.